## org.codehaus.groovy.grails.plugins.codecs
Class SHA256BytesCodec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.SHA256BytesCodec

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class SHA256BytesCodec

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`SHA256BytesCodec()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static Object` `getDecode()`
`static Object` `getEncode()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`static void` `setDecode(Object value)`
`static void` `setEncode(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SHA256BytesCodec

    public SHA256BytesCodec()

Method Detail

### getEncode

    public static Object getEncode()

### setEncode

    public static void setEncode(Object value)

### getDecode

    public static Object getDecode()

### setDecode

    public static void setDecode(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project